> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Rotate the webhook signing secret

> Invalidates the old secret immediately. New, pending, and retried webhook deliveries use the new secret. Update every receiver before rotating or new webhook sends will fail until receivers use the new secret.



## OpenAPI

````yaml https://app.herondata.io/swagger post /api/users/secret/rotate
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/users/secret/rotate:
    post:
      tags:
        - Users
      summary: Rotate the webhook signing secret
      description: >-
        Invalidates the old secret immediately. New, pending, and retried
        webhook deliveries use the new secret. Update every receiver before
        rotating or new webhook sends will fail until receivers use the new
        secret.
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  secret:
                    type: string
                required:
                  - secret
                type: object
          description: Webhook signing secret rotated
        '429':
          description: Rotation rate limit exceeded
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.